import { EventEmitter, SimpleChanges, OnChanges } from '@angular/core';
import { SnackBarService } from '../ui-kit/snack-bar/snack-bar.service';
import { AddRiskService } from '../workflow-services/add-risk.service';
import { AuthService } from '../workflow-services/auth.service';
import { FrequencyBulkService } from '../workflow-services/frequency.service';
import { ResponsibilityService } from '../workflow-services/responsibility.service';
import { IframeService } from '../services/iframe.service';
import * as i0 from "@angular/core";
export declare class AddMultipleResponsibilityComponent implements OnChanges {
    private riskService;
    private responsibilityService;
    private authService;
    private frequencyService;
    private snackBar;
    private iframeService;
    pickerChanged: EventEmitter<any>;
    populateOption: EventEmitter<any>;
    closeWorkflow: EventEmitter<any>;
    disconnectRefresh: EventEmitter<any>;
    featureflag: any;
    url: string;
    isNotificationPending: number;
    closeAddMultipleResponsibility: EventEmitter<any>;
    queryParam: string;
    recentResponsibilityUrl: any;
    set uploadedFileData(data: any);
    feature: any;
    responsibilityBulkUpload: any;
    templateInfo: any;
    isLoader: boolean;
    showCategoryList: boolean;
    templateDownloaded: boolean;
    downloadInProgress: boolean;
    loader: boolean;
    isFileEmpty: boolean;
    isWrongFile: boolean;
    isWrongFormat: boolean;
    fileName: any;
    data: any;
    showExcel: boolean;
    uploadedFiles: any;
    fileResponse: any;
    fileValue: any;
    memberId: number;
    organizationId: number;
    errorMessage: string;
    downloadStatus: string;
    downloadPercent: number;
    defaultOwner: string;
    smileyMessage: string;
    actionButtons: {
        buttonText: string;
        class: string;
        id: string;
    }[];
    showSmiley: boolean;
    member_obj_id: string;
    riskClassEnabled: any;
    userInfo: any;
    responsibilityData: any;
    ffBulkUploadOptimization: boolean;
    constructor(riskService: AddRiskService, responsibilityService: ResponsibilityService, authService: AuthService, frequencyService: FrequencyBulkService, snackBar: SnackBarService, iframeService: IframeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    triggerBrowseFile(): void;
    getUserDetails(): void;
    uploadedFile(event: any): void;
    checkEmptyFile(): boolean;
    checkValidity(report: any): boolean;
    compareWithCurrentDate(day: any, month: any): boolean;
    isPastDate(day: any, month: any): boolean;
    downloadTemplate(): void;
    submitResponsibilityBulkUpload(): void;
    submitWorkflow(): void;
    private getOrigin;
    returnIds(item: any, key: string): number | {
        name: string;
        rcId: number;
        parentIds: never[];
    } | {
        name: string;
        employeeId: number;
        email: string;
    } | {
        name: string;
        memberId: number;
        email: string;
    } | undefined;
    reset(): void;
    action(event: string): void;
    closeSmiley(event: any): void;
    viewResponsibilities(): void;
    fileUpload(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AddMultipleResponsibilityComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AddMultipleResponsibilityComponent, "app-add-multiple-responsibility", never, { "featureflag": { "alias": "featureflag"; "required": false; }; "uploadedFileData": { "alias": "uploadedFile"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; }, { "pickerChanged": "pickerChanged"; "populateOption": "populateOption"; "closeWorkflow": "closeWorkflow"; "disconnectRefresh": "disconnectRefresh"; "closeAddMultipleResponsibility": "closeAddMultipleResponsibility"; }, never, never, false, never>;
}
